> This page is for Developer.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.bigcommerce.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.bigcommerce.com/_mcp/server.

# Create Multiple Channels Currency Assignments

POST https://api.bigcommerce.com/stores/{store_hash}/v3/channels/currency-assignments
Content-Type: application/json

Sets enabled currencies and default currency for multiple channels. Note that currencies must be added first in the **Settings > Setup > Currencies** settings from an active MSF-enabled BigCommerce store control panel before the currencies can be assigned to a channel.

Reference: https://docs.bigcommerce.com/developer/api-reference/rest/admin/management/channels/currency-assignments/create-multiple-channels-currency-assignments

## Authentication

- `X-Auth-Token` header (required) — ### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Channel Listings | modify | `store_channel_listings` | | Channel Listings | read-only | `store_channel_listings_read_only` | | Channel Settings | modify | `store_channel_settings` | | Channel Settings | read-only | `store_channel_settings_read_only` | | Sites & Routes | modify | `store_sites` | | Sites & Routes | read-only | `store_sites_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

## Request

### Path parameters

- `store_hash` (string, required) — Permanent ID of the BigCommerce store.

### Headers

- `Accept` (string, required, default: application/json) — The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

### Body (application/json)

This endpoint expects a list of CurrencyRequiredWithChannelId.

- `list of CurrencyRequiredWithChannelId`

## Response

### 200

A list of channel currency assignments.

- `data` (list of CurrencyNotRequiredWithChannelId, optional)
- `meta` (EmptyMeta, optional) — Response metadata.

## Errors

### 422 Unprocessable Entity Error

The request is missing one or more required fields or invalid data is submitted.

- `status` (integer, optional) — The HTTP status code for the error.
- `title` (string, optional) — The error title describing the particular error.
- `type` (string, optional) — The error type.
- `errors` (ErrorDetail, optional) — Error detail response payload for the BigCommerce API.

## Types

### CurrencyRequiredWithChannelId

Details about currency assignments for a specific channel.

- `channel_id` (long, required) — The ID of the channel.
- `enabled_currencies` (list of string, required) — Currencies that are enabled for the specified channel in [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) three character alphabetic format.
- `default_currency` (string, required) — Default currency for the channel in [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) three character alphabetic format. Will be used on storefront when other currencies cannot.

### CurrencyNotRequiredWithChannelId

Details about currency assignments for a specific channel.

- `channel_id` (long, optional) — The ID of the channel.
- `enabled_currencies` (list of string, optional) — Currencies that are enabled for the specified channel in [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) three character alphabetic format.
- `default_currency` (string, optional) — Default currency for the channel in [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) three character alphabetic format. Will be used on storefront when other currencies cannot.

### EmptyMeta

Response metadata.

### ErrorDetail

Error detail response payload for the BigCommerce API.

## Examples

**Request**

```json
[
  {
    "channel_id": 1,
    "enabled_currencies": [
      "USD"
    ],
    "default_currency": "USD"
  },
  {
    "channel_id": 664177,
    "enabled_currencies": [
      "USD",
      "GBP"
    ],
    "default_currency": "USD"
  },
  {
    "channel_id": 664179,
    "enabled_currencies": [
      "USD",
      "AUD"
    ],
    "default_currency": "USD"
  },
  {
    "channel_id": 667159,
    "enabled_currencies": [
      "USD"
    ],
    "default_currency": "USD"
  }
]
```

**Response**

```json
{
  "data": [
    {
      "channel_id": 1,
      "enabled_currencies": [
        "USD"
      ],
      "default_currency": "USD"
    },
    {
      "channel_id": 664177,
      "enabled_currencies": [
        "USD",
        "GBP"
      ],
      "default_currency": "USD"
    },
    {
      "channel_id": 664179,
      "enabled_currencies": [
        "USD",
        "AUD"
      ],
      "default_currency": "USD"
    },
    {
      "channel_id": 667159,
      "enabled_currencies": [
        "USD"
      ],
      "default_currency": "USD"
    }
  ],
  "meta": {}
}
```

**SDK Code**

```python Multiple channels currency assignments
import requests

url = "https://api.bigcommerce.com/stores/store_hash/v3/channels/currency-assignments"

payload = [
    {
        "channel_id": 1,
        "enabled_currencies": ["USD"],
        "default_currency": "USD"
    },
    {
        "channel_id": 664177,
        "enabled_currencies": ["USD", "GBP"],
        "default_currency": "USD"
    },
    {
        "channel_id": 664179,
        "enabled_currencies": ["USD", "AUD"],
        "default_currency": "USD"
    },
    {
        "channel_id": 667159,
        "enabled_currencies": ["USD"],
        "default_currency": "USD"
    }
]
headers = {
    "Accept": "application/json",
    "X-Auth-Token": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript Multiple channels currency assignments
const url = 'https://api.bigcommerce.com/stores/store_hash/v3/channels/currency-assignments';
const options = {
  method: 'POST',
  headers: {
    Accept: 'application/json',
    'X-Auth-Token': '<apiKey>',
    'Content-Type': 'application/json'
  },
  body: '[{"channel_id":1,"enabled_currencies":["USD"],"default_currency":"USD"},{"channel_id":664177,"enabled_currencies":["USD","GBP"],"default_currency":"USD"},{"channel_id":664179,"enabled_currencies":["USD","AUD"],"default_currency":"USD"},{"channel_id":667159,"enabled_currencies":["USD"],"default_currency":"USD"}]'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Multiple channels currency assignments
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.bigcommerce.com/stores/store_hash/v3/channels/currency-assignments"

	payload := strings.NewReader("[\n  {\n    \"channel_id\": 1,\n    \"enabled_currencies\": [\n      \"USD\"\n    ],\n    \"default_currency\": \"USD\"\n  },\n  {\n    \"channel_id\": 664177,\n    \"enabled_currencies\": [\n      \"USD\",\n      \"GBP\"\n    ],\n    \"default_currency\": \"USD\"\n  },\n  {\n    \"channel_id\": 664179,\n    \"enabled_currencies\": [\n      \"USD\",\n      \"AUD\"\n    ],\n    \"default_currency\": \"USD\"\n  },\n  {\n    \"channel_id\": 667159,\n    \"enabled_currencies\": [\n      \"USD\"\n    ],\n    \"default_currency\": \"USD\"\n  }\n]")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Accept", "application/json")
	req.Header.Add("X-Auth-Token", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Multiple channels currency assignments
require 'uri'
require 'net/http'

url = URI("https://api.bigcommerce.com/stores/store_hash/v3/channels/currency-assignments")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Accept"] = 'application/json'
request["X-Auth-Token"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "[\n  {\n    \"channel_id\": 1,\n    \"enabled_currencies\": [\n      \"USD\"\n    ],\n    \"default_currency\": \"USD\"\n  },\n  {\n    \"channel_id\": 664177,\n    \"enabled_currencies\": [\n      \"USD\",\n      \"GBP\"\n    ],\n    \"default_currency\": \"USD\"\n  },\n  {\n    \"channel_id\": 664179,\n    \"enabled_currencies\": [\n      \"USD\",\n      \"AUD\"\n    ],\n    \"default_currency\": \"USD\"\n  },\n  {\n    \"channel_id\": 667159,\n    \"enabled_currencies\": [\n      \"USD\"\n    ],\n    \"default_currency\": \"USD\"\n  }\n]"

response = http.request(request)
puts response.read_body
```

```java Multiple channels currency assignments
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.bigcommerce.com/stores/store_hash/v3/channels/currency-assignments")
  .header("Accept", "application/json")
  .header("X-Auth-Token", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("[\n  {\n    \"channel_id\": 1,\n    \"enabled_currencies\": [\n      \"USD\"\n    ],\n    \"default_currency\": \"USD\"\n  },\n  {\n    \"channel_id\": 664177,\n    \"enabled_currencies\": [\n      \"USD\",\n      \"GBP\"\n    ],\n    \"default_currency\": \"USD\"\n  },\n  {\n    \"channel_id\": 664179,\n    \"enabled_currencies\": [\n      \"USD\",\n      \"AUD\"\n    ],\n    \"default_currency\": \"USD\"\n  },\n  {\n    \"channel_id\": 667159,\n    \"enabled_currencies\": [\n      \"USD\"\n    ],\n    \"default_currency\": \"USD\"\n  }\n]")
  .asString();
```

```php Multiple channels currency assignments
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.bigcommerce.com/stores/store_hash/v3/channels/currency-assignments', [
  'body' => '[
  {
    "channel_id": 1,
    "enabled_currencies": [
      "USD"
    ],
    "default_currency": "USD"
  },
  {
    "channel_id": 664177,
    "enabled_currencies": [
      "USD",
      "GBP"
    ],
    "default_currency": "USD"
  },
  {
    "channel_id": 664179,
    "enabled_currencies": [
      "USD",
      "AUD"
    ],
    "default_currency": "USD"
  },
  {
    "channel_id": 667159,
    "enabled_currencies": [
      "USD"
    ],
    "default_currency": "USD"
  }
]',
  'headers' => [
    'Accept' => 'application/json',
    'Content-Type' => 'application/json',
    'X-Auth-Token' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Multiple channels currency assignments
using RestSharp;

var client = new RestClient("https://api.bigcommerce.com/stores/store_hash/v3/channels/currency-assignments");
var request = new RestRequest(Method.POST);
request.AddHeader("Accept", "application/json");
request.AddHeader("X-Auth-Token", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "[\n  {\n    \"channel_id\": 1,\n    \"enabled_currencies\": [\n      \"USD\"\n    ],\n    \"default_currency\": \"USD\"\n  },\n  {\n    \"channel_id\": 664177,\n    \"enabled_currencies\": [\n      \"USD\",\n      \"GBP\"\n    ],\n    \"default_currency\": \"USD\"\n  },\n  {\n    \"channel_id\": 664179,\n    \"enabled_currencies\": [\n      \"USD\",\n      \"AUD\"\n    ],\n    \"default_currency\": \"USD\"\n  },\n  {\n    \"channel_id\": 667159,\n    \"enabled_currencies\": [\n      \"USD\"\n    ],\n    \"default_currency\": \"USD\"\n  }\n]", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Multiple channels currency assignments
import Foundation

let headers = [
  "Accept": "application/json",
  "X-Auth-Token": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [
  [
    "channel_id": 1,
    "enabled_currencies": ["USD"],
    "default_currency": "USD"
  ],
  [
    "channel_id": 664177,
    "enabled_currencies": ["USD", "GBP"],
    "default_currency": "USD"
  ],
  [
    "channel_id": 664179,
    "enabled_currencies": ["USD", "AUD"],
    "default_currency": "USD"
  ],
  [
    "channel_id": 667159,
    "enabled_currencies": ["USD"],
    "default_currency": "USD"
  ]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.bigcommerce.com/stores/store_hash/v3/channels/currency-assignments")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```